; comment character is a semicolon
;
; @(#) locales.dat 1.2 12/8/93
;
; LOCALES.DAT
;
; Flat-file database for converting vendor-specific international
; locale information to sybase proprietary format.
;
[file format]
        version=11.0.2
        list_seperator=,
        escape=\

[copyright]
copyright = "Copyright Sybase Inc., 1996. All rights reserved.\
	Use, duplication, or disclosure by the United States Government\
	is subject to restrictions as set forth in FAR subparagraphs\
	52.227-19(a)-(d) for civilian agency contracts and DFARS\
	252.227-7013(c)(1)(ii) for Department of Defense contracts.\
	Sybase reserves all unpublished rights under the copyright\
	laws of the United States.\
	Sybase, Inc. 6475 Christie Avenue, Emeryville, CA 94608 USA."

;
; Locales.dat File Format:
; [vendor] sections designate specific vendor-wide accepted
;	   families of machines and/or operating systems
;	   that use a common internationalization scheme
;
;   locale = vendor_locale, syb_language, syb_charset
;	the "locale" entry is used for sybase internal parsing of
;	this file.
;
;	   vendor_locale is composed of the vendor-specified
;		language[_territory][.codeset], according to
;		POSIX terminology.  Sybase internal functions
;		will build up the name if necessary.
;
;	   syb_language is the Sybase-recognized language name
;		that an external environment variable, "SYBLANG"
;		may be set to, and is the proper normalized value
;		to be used for setting a sessions language.
;
;	   syb_charset is the Sybase-recognized character set
;		name for determining character set conversion
;		and location of localization files.
;

[aix]
	locale = C, us_english, iso_1
	locale = En_US, us_english, cp850
	locale = en_US, us_english, iso_1
	locale = En_US.IBM-850, us_english, cp850
	locale = en_US.ISO8859-1, us_english, iso_1
	locale = En_JP, us_english, sjis
	locale = en_JP, us_english, eucjis
	locale = Fr_FR, french, cp850
	locale = fr_FR, french, iso_1
	locale = Fr_FR.IBM-850, french, cp850
	locale = fr_FR.ISO8859-1, french, iso_1
	locale = Fr_CA, french, cp850
	locale = fr_CA, french, iso_1
	locale = Fr_CA.IBM-850, french, cp850
	locale = fr_CA.ISO8859-1, french, iso_1
	locale = Fr_CH, french, cp850
	locale = fr_CH, french, iso_1
	locale = Fr_CH.IBM-850, french, cp850
	locale = fr_CH.ISO8859-1, french, iso_1
	locale = Fr_BE, french, cp850
	locale = fr_BE, french, iso_1
	locale = Fr_BE.IBM-850, french, cp850
	locale = fr_BE.ISO8859-1, french, iso_1
	locale = De_DE, german, cp850
	locale = de_DE, german, iso_1
	locale = De_DE.IBM-850, german, cp850
	locale = de_DE.ISO8859-1, german, iso_1
	locale = De_CH, german, cp850
	locale = de_CH, german, iso_1
	locale = De_CH.IBM-850, german, cp850
	locale = de_CH.ISO8859-1, german, iso_1
	locale = Es_ES, spanish, cp850
	locale = es_ES, spanish, iso_1
	locale = Es_ES.IBM-850, spanish, cp850
	locale = es_ES.ISO8859-1, spanish, iso_1
	locale = ja_JP, japanese, eucjis
	locale = ja_JP.IBM-eucJP, japanese, eucjis
	locale = Ja_JP, japanese, sjis
	locale = Ja_JP.IBM-932, japanese, sjis
	locale = japanese.sjis, japanese, sjis
	locale = japanese, japanese, eucjis
	locale = zh_CN, chinese, eucgb
	locale = zh_TW, tchinese, euccns
	locale = zh_TW.IBM-eucTW, tchinese, euccns
	locale = Zh_TW, tchinese, big5
	locale = ko_KR, korean, eucksc
	locale = ko_KR.IBM-eucKR, korean, eucksc
	locale = default, us_english, iso_1


[axposf]
	; locale = C, us_english, iso_1
	; Use Posix Locales, straight from the Posix Guidelines
	locale = en_US.88591, us_english, iso_1
	locale = fr_FR, french, iso_1
	locale = de_DE, german, iso_1
	locale = es_ES, spanish, iso_1
	locale = ja_JP, japanese, eucjis
	locale = zh_CN, chinese, eucgb
	locale = zh_TW, tchinese, euccns
	locale = ko_KR, korean, eucksc
	locale = default, us_english, iso_1

[dec ultrix]
	; Ultrix, similar to POSIX
	; from "Digital Guide to Developing International Software"
	; use setenv LC_CTYPE, LC_MESSAGES, LANG
	locale = FRE, french, decmcs
	locale = FRE_FR, french, decmcs
	locale = FRE_FR.MCS, french, decmcs
	locale = FRE_FR.8859, french, iso_1
	locale = fr_FR.DECMCS, french, decmcs
	locale = GER, german, decmcs
	locale = GER_DE, german, decmcs
	locale = GER_DE.MCS, german, decmcs
	locale = de_DE.DECMCS, german, decmcs
	locale = GER_DE.8859, german, iso_1
	locale = C, us_english, ascii_8
	locale = default, us_english, decmcs


[hp ux]
	; from hp:/usr/lib/nls/config, man hpnls
	; from "Developing and Localizing International Software"
	; 	Hewlett-Packard Professional Books
	; 	ISBN 0-13-300674-3
	locale = n-computer, us_english, roman8
	locale = C, us_english, roman8
	locale = american, us_english, roman8
	locale = american.iso88591, us_english, iso_1
	locale = english.iso88591, us_english, iso_1
	locale = english, us_english, roman8
	locale = french, french, roman8
	locale = french.iso88591, french, iso_1
	locale = c-french, french, roman8
	locale = c-french.iso88591, french, iso_1
	locale = german, german, roman8
	locale = german.iso88591, german, iso_1
	locale = spanish, spanish, roman8
	locale = spanish.iso88591, spanish, iso_1
	locale = japanese, japanese, sjis
	locale = japanese.euc, japanese, eucjis
	; locale = chinese-s, chinese, eucgb
	; locale = chinese-t, tchinese, euccns
	; locale = korean, korean, eucksc
	locale = default, us_english, roman8

[netware]
	locale = ENGLISH, us_english, cp850
	locale = FRENCH, french, cp850
	locale = GERMAN, german, cp850
	locale = SPANISH, spanish, cp850
	locale = JAPANESE, japanese, eucjis
	locale = TCHINESE, tchinese, big5
	locale = KOREAN, korean, eucksc
	locale = default, us_english, cp850

[next]
	locale = english, us_english, iso_1
	locale = french, french, iso_1
	locale = german, german, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[posix]
	; refer to "man setlocale()"
	locale = fr_FR, french, iso_1
	locale = de_DE, german, iso_1
	locale = es_ES, spanish, iso_1
	locale = ja_JP, japanese, eucjis
	locale = zh_CN, chinese, eucgb
	locale = zh_TW, tchinese, euccns
	locale = ko_KR, korean, eucksc
	locale = default, us_english, iso_1

[pyramid]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[pyr_svr4]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[aviion]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[icl]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = De_DE.88591, german, iso_1
	locale = fr, french, iso_1
	locale = Fr_FR.88591, french, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[sco]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[sequent]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[sony]
        locale = ja_JP.SJIS, japanese, sjis
        locale = ja_JP.EUC,  japanese, eucjis
        locale = C, us_english, iso_1
        locale = japanese, japanese, sjis
        locale = default, us_english, iso_1

[sony_svr4]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[sgi_svr4]
	locale = C, us_english, iso_1
	locale = en_US, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = fr_BE, french, iso_1
	locale = es, spanish, iso_1
	locale = ja_JP, japanese, eucjis
	locale = zh_CN.ugb, chinese, eucgb
	locale = zh_TW.ucns, tchinese, euccns
	locale = ko_KR, korean, eucksc
	locale = default, us_english, iso_1

[stratus_ftx]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[sun]
	; from JLE, KLE, CLE, OS/4.1.1, man setlocale()
	; and Sun Software Internationalization Guide (p/n 800-5972-08)
	; use setenv LC_CTYPE, LC_MESSAGES, LANG
	locale = C, us_english, iso_1
	locale = fr, french, iso_1
	locale = fr_BE, french, iso_1
	locale = fr_CA, french, iso_1
	locale = fr_CH, french, iso_1
	locale = fr.iso_8859_1, french, iso_1
	locale = de, german, iso_1
	locale = de_CH, german, iso_1
	locale = de.iso_8859_1, german, iso_1
	locale = es.iso_8859_1, spanish, iso_1
	locale = japanese, japanese, eucjis
	locale = ja, japanese, eucjis
	locale = posix, us_english, iso_1
	locale = ru, russian, iso88595
	locale = ru.iso_8859_5, russian, iso88595
	locale = bg.iso_8859_5, us_english, iso88595
	locale = ar, us_english, iso88596
	locale = hu, us_english, iso88592
	locale = el, us_english, iso88597
	locale = iw, us_english, iso88598
	locale = tr, us_english, iso88599
	locale = zh, chinese, eucgb
	locale = zh_CN, chinese, eucgb
	locale = zh_TW, tchinese, euccns
	locale = ko, korean, eucksc
	locale = default, us_english, iso_1

[sun_svr4]
	; from Solaris International Developer's Guide
	; 	ISBN 0-13-031063-8
	; refer to "man setlocale()"
	locale = C, us_english, iso_1
	locale = fr, french, iso_1
	locale = fr_BE, french, iso_1
	locale = fr_CA, french, iso_1
	locale = fr_CH, french, iso_1
	locale = fr.iso_8859_1, french, iso_1
	locale = de, german, iso_1
	locale = de_CH, german, iso_1
	locale = de.iso_8859_1, german, iso_1
	locale = es, spanish, iso_1
	locale = es.iso_8859_1, spanish, iso_1
	locale = japanese, japanese, eucjis
	locale = ja, japanese, eucjis
	locale = japanese.sjis, japanese, sjis
	locale = ru, russian, iso88595
	locale = ru.iso_8859_5, russian, iso88595
	locale = bg.iso_8859_5, us_english, iso88595
	locale = zh, chinese, eucgb
	locale = zh_CN, chinese, eucgb
	locale = zh_TW, tchinese, euccns
	locale = ko, korean, eucksc
	locale = default, us_english, iso_1

[sol_x86]
        ; refer to "man setlocale()"
        locale = C, us_english, iso_1
        locale = default, us_english, iso_1

[vms]
	; from "Digital Guide to Developing International Software"
	; use environment variable SYS$LANGUAGE
	locale = FRENCH, french, iso_1
	locale = CANADIAN, french, iso_1
	locale = AUSTRIAN, german, iso_1
	locale = GERMAN, german, iso_1
	locale = SPANISH, spanish, iso_1
	locale = default, us_english, iso_1

[ncr]
	locale = C, us_english, iso_1
	locale = default, us_english, iso_1
	locale = en, us_english, iso_1
	locale = en_US, us_english, iso_1
	locale = en_US.437, us_english, cp437
	locale = en_US.850, us_english, cp850
	locale = en_GB, us_english, iso_1
	locale = en_GB.437, us_english, cp437
	locale = en_GB.850, us_english, cp850
	locale = en_AU, us_english, iso_1
	locale = en_AU.437, us_english, cp437
	locale = en_AU.850, us_english, cp850
	locale = japan, japanese, sjis
	locale = japanese, japanese, eucjis
	locale = ja_JP.932, japanese, sjis
	locale = fr, french, iso_1
	locale = fr_FR.437, french, cp437
	locale = fr_FR.850, french, cp850
	locale = fr_BE, french, iso_1
	locale = fr_BE.437, french, cp437
	locale = fr_BE.850, french, cp850
	locale = fr_CA, french, iso_1
	locale = fr_CA.850, french, cp850
	locale = fr_CH, french, iso_1
	locale = fr_CH.437, french, cp437
	locale = fr_CH.850, french, cp850
	locale = de, german, iso_1
	locale = de_DE.437, german, cp437
	locale = de_DE.850, german, cp850
	locale = de_CH, german, iso_1
	locale = de_CH.437, german, cp437
	locale = de_CH.850, german, cp850
	locale = de_AT, german, iso_1
	locale = de_AT.437, german, cp437
	locale = de_AT.850, german, cp850
	locale = es, spanish, iso_1

[unixware]
	; from /usr/lib/locale/locale_names
	locale = default, us_english, iso_1
	locale = C, us_english, iso_1
	locale = en, us_english, iso_1
	locale = en_US, us_english, iso_1
	locale = en_US.437, us_english, cp437
	locale = en_US.850, us_english, cp850
	locale = en_GB, us_english, iso_1
	locale = en_GB.437, us_english, cp437
	locale = en_GB.850, us_english, cp850
	locale = en_AU, us_english, iso_1
	locale = en_AU.437, us_english, cp437
	locale = en_AU.850, us_english, cp850
	locale = japan, japanese, eucjis
	locale = fr, french, iso_1
	locale = fr_FR.437, french, cp437
	locale = fr_FR.850, french, cp850
	locale = fr_BE, french, iso_1
	locale = fr_BE.437, french, cp437
	locale = fr_BE.850, french, cp850
	locale = fr_CA, french, iso_1
	locale = fr_CA.850, french, cp850
	locale = fr_CH, french, iso_1
	locale = fr_CH.437, french, cp437
	locale = fr_CH.850, french, cp850
	locale = de, german, iso_1
	locale = de_DE.437, german, cp437
	locale = de_DE.850, german, cp850
	locale = de_CH, german, iso_1
	locale = de_CH.437, german, cp437
	locale = de_CH.850, german, cp850
	locale = de_AT, german, iso_1
	locale = de_AT.437, german, cp437
	locale = de_AT.850, german, cp850

[win3]
	locale = enu, us_english, iso_1
	locale = fra, french, iso_1
	locale = deu, german, iso_1
	locale = rus, russian, cp1251
	locale = hun, us_english, cp1250
	locale = ell, us_english, cp1253
	locale = heb, us_english, cp1255
	locale = ara, us_english, cp1256
	locale = trk, us_english, cp1254
	locale = esp, spanish, iso_1
	locale = jpn, japanese, sjis
	locale = chs, chinese, eucgb
	locale = cht, tchinese, big5
	locale = thi, us_english, cp874
	; locale = kor, korean, eucksc
	locale = default, us_english, iso_1

[NT]
	locale = enu, us_english, iso_1
	locale = fra, french, iso_1
	locale = deu, german, iso_1
	locale = rus, russian, cp1251
	locale = hun, us_english, cp1250
	locale = ell, us_english, cp1253
	locale = heb, us_english, cp1255
	locale = ara, us_english, cp1256
	locale = trk, us_english, cp1254
	locale = esp, spanish, iso_1
	locale = jpn, japanese, sjis
	locale = chs, chinese, eucgb
	locale = cht, tchinese, big5
	; locale = kor, korean, eucksc
	locale = default, us_english, iso_1

[win32s]
        locale = enu, us_english, iso_1
        locale = fra, french, iso_1
        locale = deu, german, iso_1
	locale = rus, russian, cp1251
	locale = esp, spanish, iso_1
	locale = hun, us_english, cp1250
	locale = ell, us_english, cp1253
	locale = heb, us_english, cp1255
	locale = ara, us_english, cp1256
	locale = trk, us_english, cp1254
	locale = jpn, japanese, sjis
	locale = chs, chinese, eucgb
	locale = cht, tchinese, big5
	; locale = kor, korean, eucksc
	locale = default, us_english, iso_1

[msdos]
	locale = enu, us_english, cp850
	locale = fra, french, cp850
	locale = deu, german, cp850
	locale = rus, russian, cp866
	locale = hun, us_english, cp855
	locale = ell, us_english, cp869
	locale = trk, us_english, cp857
	locale = cht, us_english, big5
	locale = default, us_english, cp850

[mac]
	locale = default, us_english, mac
	locale = us_english, us_english, mac
	locale = us_english_iso1, us_english, iso_1
	locale = french, french, mac
	locale = french_iso1, french, iso_1
	locale = german, german, mac
	locale = german_iso1, german, iso_1
	locale = japanese_deckanji, japanese, deckanji
	locale = japanese_eucjis, japanese, eucjis
	locale = japanese_sjis, japanese, sjis

[OS2]
	locale = default, us_english, cp850
	locale = enu, us_english, cp850
	locale = fra, french, cp850
	locale = deu, german, cp850
	locale = rus, russian, cp866
	locale = hun, us_english, cp855
	locale = ell, us_english, cp869
	locale = trk, us_english, cp857
	locale = cht, tchinese, big5
	locale = japanese, japanese, eucjis

[sni_svr4]
	locale = C, us_english, iso_1
	locale = En_US.ASCII, us_english, iso_1
	locale = En_GB.646, us_english, iso_1
	locale = De_DE.646@TE, german, iso_1
	locale = De_DE.6937, german, iso_1
	locale = De_DE.6937@TE, german, iso_1
	locale = De_DE.88591, german, iso_1
	locale = De_DE.88591@TE, german, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[stratus_cont_svr4]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = japanese, japanese, eucjis
	locale = es, spanish, iso_1
	locale = zh, chinese, eucgb
	locale = default, us_english, iso_1

[nec]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = japan, japanese, eucjis
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

[m88k]
	locale = C, us_english, iso_1
	locale = de, german, iso_1
	locale = fr, french, iso_1
	locale = japanese, japanese, eucjis
	locale = default, us_english, iso_1

; 
; General NOTES:
;==================================================================
; From Sun Software Internationalization Guide:
; ISO-POSIX
; Locale Language and Territory for ISO-8859/1 (LC_CTYPE=iso_8859_1)
; ------ ----------------------
; C	Default "C" locale
; ca	Catalan
; da	Danish
; de	German
; de_CH	Swiss German
; en	English
; en_UK	English as written in UK
; en_US	English as written in US
; eo	Esperanto
; es	Spanish
; eu	Basque
; fi	Finnish
; fr	French
; fr_BE	French as written in Belgium
; fr_CA	Canadian French
; fr_CH	Swiss French
; ga	Irish
; gd	Scots Gaelic
; is	Icelandic
; it	Italian
; nl	Dutch
; no	Norwegian
; pl	Polish
; pt	Portuguese
; ro	Romanian
; sv	Swedish
